Subject: Re: [PATCH] make _minimum_ TCP retransmission timeout configurable

From: John Heffner <[email-masked]>
Date: Wed, 29 Aug 2007 19:44:23 -0400

David Miller wrote:
> From: Rick Jones <[email-masked]>
> Date: Wed, 29 Aug 2007 16:06:27 -0700
> 
>> I belive the biggest component comes from link-layer retransmissions. 
>> There can also be some short outtages thanks to signal blocking, 
>> tunnels, people with big hats and whatnot that the link-layer 
>> retransmissions are trying to address.  The three seconds seems to be a 
>> value that gives the certainty that 99 times out of 10 the segment was 
>> indeed lost.
>>
>> The trace I've been sent shows clean RTTs ranging from ~200 milliseconds 
>> to ~7000 milliseconds.
> 
> Thanks for the info.
> 
> It's pretty easy to generate examples where we might have some sockets
> talking over interfaces on such a network and others which are not.
> Therefore, if we do this, a per-route metric is probably the best bet.

This is exactly what I was thinking.  It might even help discourage 
users from playing with this setting who should not. ;)

   -John